Bug 203503 - mail/thunderbird: update to 38.3.0
Summary: mail/thunderbird: update to 38.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-02 11:38 UTC by mitsosgtir
Modified: 2015-10-07 13:43 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
update thunderbird to 38.3.0 (22.29 KB, patch)
2015-10-03 16:33 UTC, Christoph Moench-Tegeder
cmt: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitsosgtir 2015-10-02 11:38:15 UTC
pkg audit reports multiple vulnerabilities:

thunderbird-38.2.0 is vulnerable:
mozilla -- multiple vulnerabilities
CVE: CVE-2015-7180
CVE: CVE-2015-7179
CVE: CVE-2015-7178
CVE: CVE-2015-7177
CVE: CVE-2015-7176
CVE: CVE-2015-7175
CVE: CVE-2015-7174
CVE: CVE-2015-4522
CVE: CVE-2015-4521
CVE: CVE-2015-4520
CVE: CVE-2015-4519
CVE: CVE-2015-4517
CVE: CVE-2015-4516
CVE: CVE-2015-4512
CVE: CVE-2015-4510
CVE: CVE-2015-4509
CVE: CVE-2015-4508
CVE: CVE-2015-4507
CVE: CVE-2015-4506
CVE: CVE-2015-4505
CVE: CVE-2015-4504
CVE: CVE-2015-4503
CVE: CVE-2015-4502
CVE: CVE-2015-4501
CVE: CVE-2015-4500
CVE: CVE-2015-4476
WWW: https://vuxml.FreeBSD.org/freebsd/2d56c7f4-b354-428f-8f48-38150c607a05.html

Please update to the latest version
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-10-03 16:33:09 UTC
Created attachment 161681 [details]
update thunderbird to 38.3.0

this is what "works for me". Thunderbird 38.3.0 with Lightning 4.0.3 (Enigmail is unchanged at 1.8.2).
Comment 2 commit-hook freebsd_committer 2015-10-06 13:27:53 UTC
A commit references this bug:

Author: swills
Date: Tue Oct  6 13:27:26 UTC 2015
New revision: 398697
URL: https://svnweb.freebsd.org/changeset/ports/398697

Log:
  mail/thunderbird: update to 38.3.0

  PR:		203503
  Submitted by:	dezillium@dezillium.com
  Security:	2d56c7f4-b354-428f-8f48-38150c607a05

Changes:
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/patch-toolkit_mozapps_installer_packager_mk
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/Makefile.lang
  head/mail/thunderbird-i18n/Makefile.option
  head/mail/thunderbird-i18n/distinfo
Comment 3 commit-hook freebsd_committer 2015-10-06 14:45:00 UTC
A commit references this bug:

Author: swills
Date: Tue Oct  6 14:44:12 UTC 2015
New revision: 398700
URL: https://svnweb.freebsd.org/changeset/ports/398700

Log:
  MFH: r398697

  mail/thunderbird: update to 38.3.0

  PR:		203503
  Submitted by:	dezillium@dezillium.com
  Security:	2d56c7f4-b354-428f-8f48-38150c607a05

Changes:
_U  branches/2015Q4/
  branches/2015Q4/mail/thunderbird/Makefile
  branches/2015Q4/mail/thunderbird/distinfo
  branches/2015Q4/mail/thunderbird/files/patch-toolkit_mozapps_installer_packager_mk
  branches/2015Q4/mail/thunderbird-i18n/Makefile
  branches/2015Q4/mail/thunderbird-i18n/Makefile.lang
  branches/2015Q4/mail/thunderbird-i18n/Makefile.option
  branches/2015Q4/mail/thunderbird-i18n/distinfo
Comment 4 Steve Wills freebsd_committer 2015-10-07 13:43:37 UTC
Committed and MFH'd. Thanks!